<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_ecfcdf011b493a3e718c1fe7034e" . "0dcd" => base64_decode("OjpMb2FkRnJvbUZvcm0o" . "KSBtdXN0IGJlIHJlZGVm" . "aW5lZA=="), "_c9ae15d69685c02eeabd" . "974f86df51ba" => base64_decode("OjpEcmF3KCkgbXVzdCBiZSByZWRlZmlu" . "ZWQ="), "_5e9a99dc0dd49b907abf1b35e96965f" . "8" => base64_decode("dH" . "Jp" . "bQ" . "=="), "_c244a470df52d1d5a7085138" . "ec94e393" => base64_decode("dW5zZXJpYWxpe" . "mU="), "_00228d8faefcea40b8" . "8e38b6f0ef8fb8" => base64_decode("V3Jvbmcgc2VyaWFs" . "aXplZCBzdHJpbmcg" . "b2YgQ29udHJvbA=="), "_96be32a6f44bf54e635e1736a" . "cf7a96c" => base64_decode("c2VyaWFs" . "aXpl"), "_fc9d7314a" . "9d9958d8fa" . "0a403ba8ff" . "197" => base64_decode("Z2V0X2NsY" . "XNz"), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_347a4304a606a9c" . "406a8fbc8f72530a" . "1" => base64_decode("TWV0" . "aG9k" . "IA=="));





class FFControlAbstract extends ErrorHandler
{
    protected $key;
    protected $title;
    protected $data;
    protected $containter_name = "FFControl";
    public function __construct($key, $title)
    {
        $this->key = $key;
        $this->title = $title;
        $this->data = array();
    }
    public function StoreToString()
    {
        return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_96be32a6f44bf54e63" . "5e1736acf7a96c"]($this->data);
    }
    public function LoadFromString($_939c6a45ff74323dbef487ed15753a7c)
    {
        if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5e9a99dc0dd49b9" . "07abf1b35e96965f" . "8"]($_939c6a45ff74323dbef487ed15753a7c) === $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69e8159" . "697c90"]) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_00228d8fae" . "fcea40b88e3" . "8b6f0ef8fb8"]);
        }
        $this->data = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c244a470d" . "f52d1d5a70" . "85138ec94e" . "393"]($_939c6a45ff74323dbef487ed15753a7c);
        return true;
    }
    public function LoadFromForm()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_347a4304a" . "606a9c406a" . "8fbc8f7253" . "0a1"] . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_fc9d7314a9d" . "9958d8fa0a40" . "3ba8ff197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ecfcdf011b" . "493a3e718c1" . "fe7034e0dcd"]);
    }
    public function Draw()
    {
        return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_347a4304a606a9c406a8fbc8f72530" . "a1"] . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_fc9d7314a9d9958d8fa0a403ba8f" . "f197"]($this) . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_c9ae15d69685c02eeabd974f86d" . "f51ba"]);
    }
    public function SaveIntoSession()
    {
        $_SESSION[$this->container_name][$this->key] = $this->data;
    }
    public function LoadFromSession()
    {
        if (isset($_SESSION[$this->container_name][$this->key])) {
            $this->data = $_SESSION[$this->container_name][$this->key];
            return true;
        }
        return false;
    }
    public function GetParams()
    {
        return $this->data;
    }
    public function GetParam($_8dabb06efc95df4cff7c4afe91857b53)
    {
        return $this->data[$_8dabb06efc95df4cff7c4afe91857b53];
    }
    public function SetParam($_8dabb06efc95df4cff7c4afe91857b53, $value)
    {
        $this->data[$_8dabb06efc95df4cff7c4afe91857b53] = $value;
    }
    public function GetKey()
    {
        return $this->key;
    }
    public function GetTitle()
    {
        return $this->title;
    }
}